Skip to Content
Booking

Update booking extra

Toegang

Lid van de organisatie met dit recht:

  • organization:settings:write

Een API-sleutel met scopes heeft het recht ook in zijn scopes nodig.

PUT
/orgs/{organizationId}/booking/extras/{id}

Changes an add-on.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

id*string

Request Body

application/json
  1. body
name*string
Length1 <= length <= 100
description?|null
price*number
Range0 <= value
unit?string
Default"PER_STAY"
Value in"PER_STAY""PER_NIGHT""PER_PERSON""PER_PERSON_PER_NIGHT"
taxPercentage?number
Range0 <= value <= 100
Default21
maxQuantity?integer
Range1 <= value <= 50
Default1
enabled?boolean
Defaulttrue
sortOrder?integer
Range0 <= value <= 1000
Default0
choiceGroup?|null
terrainTypeIds?array<>
Itemsitems <= 100
Default[]

Response Body

OK

application/json
  1. response
Example Request
curl -X PUT 'https://api.tillor.eu/orgs//booking/extras/string' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "price": 0}'
Example Response
null